commit:     812c2b692fc08056c603830227cae7395550b02f
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  4 11:41:58 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Sep  4 11:46:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=812c2b69

dev-python/pgmagick: Bump to 0.6.7

Closes: https://bugs.gentoo.org/show_bug.cgi?id=580080
Closes: https://bugs.gentoo.org/show_bug.cgi?id=586072
Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-python/pgmagick/Manifest              |  1 +
 dev-python/pgmagick/pgmagick-0.6.7.ebuild | 35 +++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pgmagick/Manifest b/dev-python/pgmagick/Manifest
index e2613021a2a..dfd8bb5a7ce 100644
--- a/dev-python/pgmagick/Manifest
+++ b/dev-python/pgmagick/Manifest
@@ -1 +1,2 @@
+DIST pgmagick-0.6.7.tar.gz 357392 SHA256 
c84a5eaa275d7b156376289c38e569bf99d85bc568967e40e014c41c688f2a39 SHA512 
0a8812457c0803a1b7ca228c77691ebfb1d51689acfce7a3c36a3b10f16020cc6e4814808985b38a79fe1ecbe77cf29f4ed6b7bf813ecaa72545127919c59c7c
 WHIRLPOOL 
41e2ad56aa0635a3663ce312e38e71454c6840c0708c83875d070c8356c9f3fdbddfe64fd632b46fad35a9989c695575bb8f0435530aefcccdf8e7a8c1c7806c
 DIST pgmagick-0.6.tar.gz 40593 SHA256 
9e315c17edcc10adeae05aac49b6082a5aca8937822d207563858875c814186b SHA512 
b6c80ebfe0361e0a1b54a9cb8fc8102db0aa56347f4c8842cd8745f6beab1b01e1f51b1084fb51718db4b96b560aa220e103395d42d300017a17a9adf52bd294
 WHIRLPOOL 
d3d19bbf62b40a1f05cdd5404af456a3de988b361b8e160ec272c93bc118b3d45cf348c1bda86fbfc0087d3bc1dc099db978e87bdea1a916af5fd3292439c973

diff --git a/dev-python/pgmagick/pgmagick-0.6.7.ebuild 
b/dev-python/pgmagick/pgmagick-0.6.7.ebuild
new file mode 100644
index 00000000000..7e33e5a5ae0
--- /dev/null
+++ b/dev-python/pgmagick/pgmagick-0.6.7.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Yet another boost.python based wrapper for GraphicsMagick"
+HOMEPAGE="https://pypi.python.org/pypi/pgmagick/ 
https://bitbucket.org/hhatto/pgmagick/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       media-gfx/graphicsmagick:=[cxx]
+       dev-libs/boost:=[python,${PYTHON_USEDEP}]"
+DEPEND="
+       ${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( media-fonts/corefonts )"
+
+python_test() {
+       cd test || die
+
+       local t
+       for t in test_*.py; do
+               "${EPYTHON}" "${t}" || die "test ${t} failed under ${EPYTHON}"
+       done
+       # As long as the order of python impls is not changed, this will suffice
+}

Reply via email to